// Copyright (c) 2015, Mikhail Stolyarov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library do2template.html;

import 'dart:html';

import 'do2repeat.dart';
import 'do2translation.dart';

class Do2Html {

  List<Element> _html;


  Element _parent;

  /// Повторители
  Map<String,Do2Repeat> repeat = new Map();

  /// Перевод шаблона на различные языки
  Do2Translation lang;

  List<int> _hashElements = new List();

  Do2Html(Element template): _html = template.children{
    template.querySelectorAll('[do2repeat]').forEach((Element element) => repeat[element.getAttribute('do2repeat')] = new Do2Repeat(element));
    lang = new Do2Translation(template.querySelectorAll('[do2lang]'));
    _html.forEach((Element element){
      _hashElements.add(element.hashCode);
    });
  }

  /// Рисуем шаблон в [box]
  void draw(Element box){
    if(_parent == null) {
      _parent = box..children.addAll(_html);
    }
  }

  /// Очищаем элементы шаблона
  void eraser(){
    if(_parent != null){
      repeat.forEach((String name, Do2Repeat repeat){
        repeat.eraserAll();
      });
      _parent.children.removeWhere((Element element)=>_hashElements.contains(element.hashCode));
      _hashElements.clear();
    }
  }

}
