// Copyright (c) 2015, Mikhail Stolyarov. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

library do2template.translation;

import 'dart:html';

class Do2Translation{

  /// получаем массив элементов по языкам
  /// этот вывод поддерживаем Do2I18n
  Map<String,List<Element>> getLangs() => _langs;

  Map<String,List<Element>> _langs = new Map();

  Do2Translation(List<Element> langElement){
    langElement.forEach((Element element){
      if (!_langs.containsKey(element.getAttribute('do2lang'))){
        _langs[element.getAttribute('do2lang')] = [];
      }
      _langs[element.getAttribute('do2lang')].add(element);
    });
  }


}